path: /build/build/libssh-net-libs-0.9.8.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -gcrypt -libressl -mbedtls -test gssapi zlib" emerge net-libs/libssh -pv -t && \
    USE="-doc -gcrypt -libressl -mbedtls -test gssapi zlib" emerge -j ${JOBS} --nodeps net-libs/libssh
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libssh && luet-portage --dir /pkgdir/libssh
    net-libs/libssh && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ebbf337eaed73f5a7a14e3150d1f1ea8a53dc281add534b1832c46d3eb065d31
  package:
    name: libssh
    version: 0.9.8
    category: net-libs
    use_flags:
    - -doc
    - -gcrypt
    - -libressl
    - -mbedtls
    - -test
    - gssapi
    - zlib
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Access a working SSH implementation by means of a library
    uri:
    - https://www.libssh.org/
    license: LGPL-2.1
    buildtimestamp: 2024-02-07 10:13:14.89375633 +0000 UTC m=+98.414436438
    labels:
      BDEPEND: doc? ( app-doc/doxygen[dot] ) dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: '!gcrypt? ( !mbedtls? ( !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=
        ) libressl? ( dev-libs/libressl:= ) ) ) gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0
        ) gssapi? ( >=virtual/krb5-0-r1 ) mbedtls? ( net-libs/mbedtls:= ) zlib? (
        >=sys-libs/zlib-1.2.8-r1 ) test? ( >=dev-util/cmocka-0.3.1 )'
      IUSE: debug doc examples gcrypt gssapi libressl mbedtls pcap server +sftp static-libs
        test zlib
      RDEPEND: '!gcrypt? ( !mbedtls? ( !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=
        ) libressl? ( dev-libs/libressl:= ) ) ) gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0
        ) gssapi? ( >=virtual/krb5-0-r1 ) mbedtls? ( net-libs/mbedtls:= ) zlib? (
        >=sys-libs/zlib-1.2.8-r1 )'
      emerge.packages: net-libs/libssh
      kit: net-kit
      original.package.name: net-libs/libssh
      original.package.slot: "0"
      original.package.version: 0.9.8
    treedir: /build/packages
  package_dir: /pkgdir/libssh
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 542266d1b3748ef45a6e4f744e9d9f2ffbb360418dce9bdd3473fc6b73ff74f2
compressiontype: zstd
files:
- usr/include/libssh/callbacks.h
- usr/include/libssh/legacy.h
- usr/include/libssh/libssh.h
- usr/include/libssh/libssh_version.h
- usr/include/libssh/libsshpp.hpp
- usr/include/libssh/sftp.h
- usr/include/libssh/ssh2.h
- usr/lib64/cmake/libssh/libssh-config-gentoo.cmake
- usr/lib64/cmake/libssh/libssh-config-version.cmake
- usr/lib64/cmake/libssh/libssh-config.cmake
- usr/lib64/libssh.so
- usr/lib64/libssh.so.4
- usr/lib64/libssh.so.4.8.9
- usr/lib64/libssh_threads.so
- usr/lib64/pkgconfig/libssh.pc
- usr/share/doc/libssh-0.9.8/AUTHORS.bz2
- usr/share/doc/libssh-0.9.8/ChangeLog.bz2
- usr/share/doc/libssh-0.9.8/README.bz2
- var/db/pkg/net-libs/libssh-0.9.8/BDEPEND
- var/db/pkg/net-libs/libssh-0.9.8/BUILD_TIME
- var/db/pkg/net-libs/libssh-0.9.8/CATEGORY
- var/db/pkg/net-libs/libssh-0.9.8/CBUILD
- var/db/pkg/net-libs/libssh-0.9.8/CFLAGS
- var/db/pkg/net-libs/libssh-0.9.8/CHOST
- var/db/pkg/net-libs/libssh-0.9.8/CONTENTS
- var/db/pkg/net-libs/libssh-0.9.8/COUNTER
- var/db/pkg/net-libs/libssh-0.9.8/CXXFLAGS
- var/db/pkg/net-libs/libssh-0.9.8/DEFINED_PHASES
- var/db/pkg/net-libs/libssh-0.9.8/DEPEND
- var/db/pkg/net-libs/libssh-0.9.8/DESCRIPTION
- var/db/pkg/net-libs/libssh-0.9.8/EAPI
- var/db/pkg/net-libs/libssh-0.9.8/FEATURES
- var/db/pkg/net-libs/libssh-0.9.8/HOMEPAGE
- var/db/pkg/net-libs/libssh-0.9.8/INHERITED
- var/db/pkg/net-libs/libssh-0.9.8/IUSE
- var/db/pkg/net-libs/libssh-0.9.8/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libssh-0.9.8/KEYWORDS
- var/db/pkg/net-libs/libssh-0.9.8/LDFLAGS
- var/db/pkg/net-libs/libssh-0.9.8/LICENSE
- var/db/pkg/net-libs/libssh-0.9.8/NEEDED
- var/db/pkg/net-libs/libssh-0.9.8/PF
- var/db/pkg/net-libs/libssh-0.9.8/PROVIDES
- var/db/pkg/net-libs/libssh-0.9.8/RDEPEND
- var/db/pkg/net-libs/libssh-0.9.8/REQUIRES
- var/db/pkg/net-libs/libssh-0.9.8/RESTRICT
- var/db/pkg/net-libs/libssh-0.9.8/SIZE
- var/db/pkg/net-libs/libssh-0.9.8/SLOT
- var/db/pkg/net-libs/libssh-0.9.8/USE
- var/db/pkg/net-libs/libssh-0.9.8/environment.bz2
- var/db/pkg/net-libs/libssh-0.9.8/libssh-0.9.8.ebuild
- var/db/pkg/net-libs/libssh-0.9.8/repository
package_cacheimage: ""
runtime:
  name: libssh
  version: 0.9.8
  category: net-libs
  use_flags:
  - -doc
  - -gcrypt
  - -libressl
  - -mbedtls
  - -test
  - gssapi
  - zlib
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: krb5
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Access a working SSH implementation by means of a library
  uri:
  - https://www.libssh.org/
  license: LGPL-2.1
  labels:
    BDEPEND: doc? ( app-doc/doxygen[dot] ) dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: '!gcrypt? ( !mbedtls? ( !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0= )
      libressl? ( dev-libs/libressl:= ) ) ) gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0
      ) gssapi? ( >=virtual/krb5-0-r1 ) mbedtls? ( net-libs/mbedtls:= ) zlib? ( >=sys-libs/zlib-1.2.8-r1
      ) test? ( >=dev-util/cmocka-0.3.1 )'
    IUSE: debug doc examples gcrypt gssapi libressl mbedtls pcap server +sftp static-libs
      test zlib
    RDEPEND: '!gcrypt? ( !mbedtls? ( !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0=
      ) libressl? ( dev-libs/libressl:= ) ) ) gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0
      ) gssapi? ( >=virtual/krb5-0-r1 ) mbedtls? ( net-libs/mbedtls:= ) zlib? ( >=sys-libs/zlib-1.2.8-r1
      )'
    emerge.packages: net-libs/libssh
    kit: net-kit
    original.package.name: net-libs/libssh
    original.package.slot: "0"
    original.package.version: 0.9.8
